﻿using System;
using System.Diagnostics;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

using alib;
using alib.Debugging;
using alib.Enumerable;
using alib.Wpf;

namespace xigt.ui
{
	using app;

	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	/// 
	public partial class igt_ctrl : ListBox
	{
		public igt_ctrl()
		{
			InitializeComponent();
		}

#if TREF
		public static readonly DependencyProperty HoveredRefProperty =
			DependencyProperty.Register("HoveredRef", typeof(RefExpr), typeof(igt_ctrl), new FrameworkPropertyMetadata(default(RefExpr),
				(o, e) =>
				{
					var w = App.main;
					if (w != null)
						w.EnableTierBrushes = ((RefExpr)e.NewValue).TargetItem == null;
				}));

		public RefExpr HoveredRef
		{
			get { return (RefExpr)GetValue(HoveredRefProperty); }
			set { SetValue(HoveredRefProperty, value); }
		}
#endif
	};
}
