﻿using System;
using System.Threading;
using System.Threading.Tasks;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Windows;
using System.Windows.Markup;

using alib.Debugging;
using alib.Enumerable;
using alib.String;

namespace xigt
{
	public class dps
	{
		//public static DependencyProperty NameProperty =
		//	DependencyProperty.RegisterAttached("Name", typeof(String), typeof(dps), new PropertyMetadata(default(String)));

		public static DependencyProperty FilenameProperty =
			DependencyProperty.RegisterAttached("Filename", typeof(String), typeof(dps), new PropertyMetadata(String.Empty));

		public static DependencyProperty DelimiterProperty =
			DependencyProperty.RegisterAttached("Delimiter", typeof(String), typeof(dps), new PropertyMetadata(" "));

		public static DependencyProperty IsReadOnlyProperty =
			DependencyProperty.RegisterAttached("IsReadOnly", typeof(bool), typeof(dps), new PropertyMetadata(false));

		public static DependencyProperty StatusProperty =
			DependencyProperty.RegisterAttached("Status", typeof(String), typeof(dps), new PropertyMetadata(default(String), null,
				(d, o) => ((String)o).TrimToNull()));

		public static DependencyProperty DocIdProperty =
			DependencyProperty.RegisterAttached("DocId", typeof(String), typeof(dps), new PropertyMetadata(default(String), null,
				(d, o) => ((String)o).TrimToNull()));

		public static DependencyProperty DocInfoProperty =
			DependencyProperty.RegisterAttached("DocInfo", typeof(String), typeof(dps), new PropertyMetadata(default(String), null,
				(d, o) => ((String)o).TrimToNull()));

		public static DependencyProperty LanguageProperty =
			DependencyProperty.RegisterAttached("Language", typeof(String), typeof(dps), new PropertyMetadata(default(String), null,
				(d, o) => ((String)o).TrimToNull()));

		public static DependencyProperty FromLineProperty =
			DependencyProperty.RegisterAttached("FromLine", typeof(int), typeof(dps), new PropertyMetadata(-1));

		public static DependencyProperty ToLineProperty =
			DependencyProperty.RegisterAttached("ToLine", typeof(int), typeof(dps), new PropertyMetadata(-1));

		public static DependencyProperty LineNumbersProperty =
			DependencyProperty.RegisterAttached("LineNumbers", typeof(int[]), typeof(dps), new PropertyMetadata(default(int[])));

		public static DependencyProperty FromCharProperty =
			DependencyProperty.RegisterAttached("FromChar", typeof(int), typeof(dps), new PropertyMetadata(-1));

		public static DependencyProperty ToCharProperty =
			DependencyProperty.RegisterAttached("ToChar", typeof(int), typeof(dps), new PropertyMetadata(-1));

		public static DependencyProperty TierTypeProperty =
			DependencyProperty.RegisterAttached("TierType", typeof(String), typeof(dps), new PropertyMetadata(default(String), null,
				(d, o) => ((String)o).TrimToNull()));

		//public static DependencyProperty XigtCorpusProperty =
		//	DependencyProperty.RegisterAttached("XigtCorpus", typeof(xigt.xigt_corpus), typeof(dps), new PropertyMetadata(default(xigt.xigt_corpus)));
	};
}
