﻿using System;
using System.Collections.Specialized;
using System.Diagnostics;
using System.Collections;
using System.ComponentModel;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;

using alib;
using alib.Debugging;
using alib.Enumerable;
using alib.Wpf;

namespace xigt.ui
{
	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	/// 
	public class item_ui : Border
	{
		protected override void OnVisualParentChanged(DependencyObject _old)
		{
			base.OnVisualParentChanged(_old);

			FrameworkElement fe;

			if ((fe = this.FindAncestor<tier_ctrl>()) != null)
				this.RegisterName("_tc", fe);

			if ((fe = this.FindAncestor<tier_items_ctrl>()) != null)
				this.RegisterName("_tic", fe);

			if ((fe = this.FindAncestor<igt_ctrl>()) != null)
				this.RegisterName("_ic", fe);
		}
	};

	///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	/// 
	public partial class item_ctrl : item_ui
	{
		public item_ctrl()
		{
			InitializeComponent();
		}
	};
}
