﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace xigt.ui
{
	public partial class _dep_ref : Border
	{
		public _dep_ref()
		{
			InitializeComponent();
		}

		protected override void OnMouseRightButtonDown(MouseButtonEventArgs e)
		{
			base.OnMouseRightButtonDown(e);

			var cm = new ContextMenu();

			if (DataContext is item)
			{
				var it = (item)DataContext;
				var dep_cur = it.GetIgt().igt_names[it.dep];

				foreach (var x in it.Host.dep)
				{
					var mi = new MenuItem
					{
						Header = new TextBlock
						{
							Inlines =
							{
								new Run(x.id) { FontWeight = FontWeights.SemiBold },
								new Run("\t│" + x.Text + "│"),
							},
						},
						IsCheckable = true,
						IsChecked = x == dep_cur,
					};
					mi.Checked += (o, ee) =>
					{
						it.dep = x.id;
					};
					cm.Items.Add(mi);
				}
			}
			this.ContextMenu = cm;
		}
	};
}
