﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Collections.Specialized;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.IO;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Markup;
using System.Xml;


using alib;
using alib.Debugging;
using alib.Enumerable;
using alib.Reflection;

namespace xigt
{
	public class metadata<H> : _host<H, meta<H>>
		where H : class, IHost<IElem<H>>
	{
		public metadata(String pfx, String name, String s_ns, corpus_xmldoc xd)
			: base(pfx, name, s_ns, xd)
		{
		}
	};

	public class meta<H> : _elem<metadata<H>>
		where H : class, IHost<IElem<H>>
	{
		public meta(String pfx, String name, String s_ns, corpus_xmldoc xd)
			: base(pfx, name, s_ns, xd)
		{
		}
	};
}